Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class StringConverter

    java.lang.Object
      |
      +--org.hsqldb.StringConverter

class StringConverter
extends java.lang.Object

Class declaration

Constructor Summary
`(package private)` | `StringConverter()`

Method Summary
`static java.lang.String` | `asciiToUnicode(java.lang.String s)` Method declaration
`(package private) static java.lang.String` | `byteToHex(byte[] b)` Method declaration
`static java.lang.String` | `hexStringToUnicode(java.lang.String s)` Method declaration
`static byte[]` | `hexToByte(java.lang.String s)` Method declaration
`static java.lang.String` | `InputStreamToString(java.io.InputStream x)` Method declaration
`static java.lang.String` | `unicodeToAscii(java.lang.String s)` Method declaration
`(package private) static java.lang.String` | `unicodeToHexString(java.lang.String s)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringConverter

    StringConverter()

Method Detail

### hexToByte

    public static byte[] hexToByte(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### byteToHex

    static java.lang.String byteToHex(byte[] b)

  Method declaration
  Parameters:
    `b` -
  Returns:

### unicodeToHexString

    static java.lang.String unicodeToHexString(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### hexStringToUnicode

    public static java.lang.String hexStringToUnicode(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### unicodeToAscii

    public static java.lang.String unicodeToAscii(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### asciiToUnicode

    public static java.lang.String asciiToUnicode(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### InputStreamToString

    public static java.lang.String InputStreamToString(java.io.InputStream x)
                                                throws java.sql.SQLException

  Method declaration
  Parameters:
    `x` -
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD